
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>移动Web开发调研 / 憋错料</title>

    <meta name="description" content="移动Web开发调研 背景 在移动互联网浪潮下,移动设备普及,对配置需要考虑移动端设备可访问性.Web作为最贴近用户的配置手段,面向从PC端传统页面,向移动端页面的转型. 概念 PC Web: 面向传统PC电脑的浏览器开发的Web人机交互界面. 移动Web:面向移动设备的浏览器开发的Web人机交互界面.移动设备包括:手机.Pad等移动设备. 移动APP:面向移动设备开发的APP软件,直接运行于移动设备的系统上.不同于移动Web,其不需要借助中间软件运行. Web APP: 以浏览器为入口,实现 App 的 Web 化">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">移动Web开发调研</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>背景</h1>
<p>在移动互联网浪潮下，移动设备普及，对配置需要考虑移动端设备可访问性。Web作为最贴近用户的配置手段，面向从PC端传统页面，向移动端页面的转型。</p>
<h1><strong>概念</strong></h1>
<p><strong>PC Web</strong>： 面向传统PC电脑的浏览器开发的Web人机交互界面。</p>
<p><strong>移动Web</strong>：面向移动设备的浏览器开发的Web人机交互界面。移动设备包括：手机、Pad等移动设备。</p>
<p><strong>移动APP</strong>：面向移动设备开发的APP软件，直接运行于移动设备的系统上。不同于移动Web，其不需要借助中间软件运行。</p>
<p><strong>Web APP: </strong>以浏览器为入口，实现 App 的 Web 化，当浏览器能良好的发挥HTML5的技术特性，将会带来应用体验新的变革。和移动Web属于一个概念。</p>
<p>http://www.geekpark.net/topics/157633</p>
<p><strong>我们有必要了解移动Web和移动APP各自的特点，才能弄清移动Web的定位。</strong></p>
<p>移动APP</p>
<p>优点：</p>
<p>1、&nbsp;移动APP具有更好的用户体验和交互操作。</p>
<p>2、&nbsp;可以充分发挥设备硬件操作系统的特性。</p>
<p>缺点：</p>
<p>1、&nbsp;开发周期长，维护成本高，调试困难。</p>
<p>2、&nbsp;平台间移植困难，存在版本兼容性风险。</p>
<p>移动Web</p>
<p>优点：</p>
<p>1、&nbsp;开发效率高，成本低。</p>
<p>2、&nbsp;跨平台，一次开发，到处运行。</p>
<p>3、&nbsp;无需安装和更新。</p>
<p>缺点：</p>
<p>1、&nbsp;无法发挥本地硬件和操作系统的特性。</p>
<p>2、&nbsp;难以实现复杂的用户界面效果。</p>
<p>从对比中可以发现，移动Web不能发挥设备硬件的功能，<strong>其适合传统的Web站点建立移动Web版本。</strong></p>
<h1><strong>技术调研</strong></h1>
<h2><strong>HTML5</strong></h2>
<p>HTML5 是 HTML 标准的最新演进版本。 这个术语代表了两个不同的概念：</p>
<p>它是一个新的 HTML 语言版本包含了新的元素，属性和行为，同时包含了一系列可以被用来让 Web 站点和应用更加多样化，功能更强大的技术。 这套技术往往被称作 HTML5 和它的朋友们，通常简称为 HTML5。</p>
<p>功能分为以下大类：</p>
<ul>
<li><strong>语义</strong>：能够让你更恰当地描述你的内容是什么。</li>
<li><strong>连通性</strong>：能够让你和服务器之间通过创新的新技术方法进行通信。</li>
<li><strong>离线 &amp; 存储</strong>：能够让网页在客户端本地存储数据以及更高效地离线运行。</li>
<li><strong>多媒体</strong>：使 video 和 audio 成为了在所有 Web 中的一等公民。</li>
<li><strong>2D/3D 绘图 &amp; 效果</strong>：提供了一个更加分化范围的呈现选择。</li>
<li><strong>性能 &amp; 集成</strong>：提供了非常显著的性能优化和更有效的计算机硬件使用。</li>
<li><strong>设备访问 Device Access</strong>：能够处理各种输入和输出设备。</li>
<li><strong>样式设计</strong>: 让作者们来创作更加复杂的主题吧！</li>
</ul>
<p>每个类中详细功能见下面URL，<strong>与CPE Web相关的功能包括（</strong><strong>语义、绘图、样式设计）</strong>。</p>
<p><a href="https://developer.mozilla.org/zh-CN/docs/Web/Guide/HTML/HTML5" rel="external nofollow noreferrer">https://developer.mozilla.org/zh-CN/docs/Web/Guide/HTML/HTML5</a></p>
<p><em>HTML5名声现在很大，但是实际上就是增加了一些新的功能和特性。 但是架不住广告铺天盖地，别人总跟你提，但是真正懂了人不是很多，这样HTML5沦为了一个</em><strong><em>营销手段</em></strong><em>。即使我们的设备只能用到很少一部分，但是如果用了，别人就会觉得很高大上。</em></p>
<p>移动设备的大量使用，HTML5规范和Webkit内核的推动，使得<strong>HTML5和移动Web开发绑定在一起</strong>，HTML5确实能提高移动端的体验（例如音视频、定位、Canvas）， 但是实际上HTML5对象不区分PC和移动端。</p>
<p>目前主流的PC和移动端浏览器对HTML5功能有不同程度的支持。</p>
<p>PC上几款主流浏览器跑分：</p>
<p>http://html5test.com/</p>
<p>移动浏览器支持情况，可以访问下面网站查询：</p>
<p>http://mobilehtml5.org/</p>
<h2><strong>响应式设计</strong></h2>
<p><strong>响应式Web设计</strong>这种方案：一个网站能够兼容多种移动设备屏幕尺寸，而不是为每种屏幕尺寸做一个特定的版本。这个概念可以说是为移动互联网而生的。</p>
<p><a href="http://www.cnblogs.com/powertoolsteam/archive/2012/06/01/2529886.html" rel="external nofollow noreferrer">http://www.cnblogs.com/powertoolsteam/archive/2012/06/01/2529886.html</a></p>
<p><strong>优点：</strong></p>
<p>1、&nbsp;因为无需为不同的设备维护不同的网站，这种方式节省了时间和金钱。</p>
<p>2、&nbsp;响应式设计无需考虑用户代理的检测。</p>
<p><strong>缺点：</strong></p>
<p>1、&nbsp;要考虑更多的分辨率，交互和场景，对设计师和PM的能力要求更高，页面考虑东西更多，设计时间也会变得更长。</p>
<p>2、&nbsp;因为内容必须在客户端使用Javascript进行调整，所以要求变化的内容要尽可能的最少。UI发挥空间更小。</p>
<p><strong>适用场景：</strong></p>
<p>那些以文档为中心的网站，他们在不同的设备上的主要用途都不会改变，比如一个产品页面，对于这种网站响应式的设计就非常的适合。</p>
<p><strong>不适用场景：</strong></p>
<p>因为UI发挥空间小等因素，这种响应式设计不适合界面元素和交互等更加复杂的网页，比如淘宝。</p>
<p>参考：</p>
<p><a href="https://developer.mozilla.org/zh-CN/docs/Web_Development/Mobile/Responsive_design" rel="external nofollow noreferrer">https://developer.mozilla.org/zh-CN/docs/Web_Development/Mobile/Responsive_design</a></p>
<p><a href="http://www.rbt.cn/html/xiangyingshi/37235.html" rel="external nofollow noreferrer">http://www.rbt.cn/html/xiangyingshi/37235.html</a></p>
<h2><strong>移动Web框架</strong></h2>
<p>移动Web开发，涉及的基本概念，可以稳步积累。 如果要做移动Web，下面介绍了一些网络推荐的开源框架，可以快速搭建移动Web界面。</p>
<p>1、 jQuery Mobile</p>
<p>jQuery发布的针对手机和平板设备、经过触控优化的Web框架。它基于jQuery，在不同移动设备平台上可提供统一的用户界面。该框架基于渐近增强技术，并利用HTML5和CSS3特性。</p>
<p>2、 Sencha Touch</p>
<p>它是一款HTML5移动应用框架。通过它可以创建Web应用，在外观和感觉上与Apple iOS 和Google Android本地应用十分相像。它利用HTML5发布音频/视频，进行本地存储；利用CSS3提供圆角、背景渐变、阴影等广泛使用的样式。</p>
<p>3、&nbsp;Ionic</p>
<p>Ionic提供了一个免费且开源的移动优化HTML，CSS和JS组件库，来构建高交互性应用。基于Sass构建和AngularJS 优化。</p>
<p>Ionic既是一个CSS框架也是一个Javascript UI库。许多组件需要Javascript才能产生神奇的效果，尽管通常组件不需要编码，通过框架扩展可以很容易地使用，比如我们的AngularIonic扩展。</p>
<p>4、&nbsp;Amaze UI</p>
<p>Amaze UI 采用业内先进的 Mobile first 理念，从小屏逐步扩展到大屏，最终实现所有屏幕适配，适应移动互联潮流。Amaze UI 含近 20 个 CSS 组件、10 个 JS 组件，更有 17 款包含近 60 个主题的 Web 组件，可快速构建界面出色、体验优秀的跨屏页面，大幅度提升你的开发效率。Amaze UI 非常注重性能，基于轻量的 Zepto.js 开发，并使用 CSS3 来做动画交互，平滑、高效，更适合移动设备，让你的 Web 应用可以高速载入。</p>
<p>5、&nbsp;Weex</p>
<p>2016年4月21日，阿里巴巴在Qcon大会上宣布开源跨平台移动开发工具Weex，Weex能够完美兼顾性能与动态性，让移动开发者通过简捷的前端语法写出Native级别的性能体验，并支持iOS、安卓、YunOS及Web等多端部署。</p>
<p>对于移动开发者来说，Weex主要解决了频繁发版和多端研发两大痛点，同时解决了前端语言性能差和显示效果受限的问题。开发者可通过Weex官网申请内测。（http://alibaba.github.io/weex/）</p>
<p>开发者只需要在自己的APP中嵌入Weex的SDK，就可以通过撰写HTML/CSS/JavaScript来开发Native级别的Weex界面。Weex界面的生成码其实就是一段很小的JS，可以像发布网页一样轻松部署在服务端，然后在APP中请求执行。</p>
<p>与 现有的开源跨平台移动开放项目如Facebook的React Native和微软的Cordova相比，Weex更加轻量，体积小巧。因为基于web conponent标准，使得开发更加简洁标准，方便上手。Native组件和API都可以横向扩展，方便根据业务灵活定制。Weex渲染层具备优异的性 能表现，能够跨平台实现一致的布局效果和实现。对于前端开发来说，Weex能够实现组件化开发、自动化数据绑定，并拥抱Web标准。</p>
<p><a href="http://www.cnblogs.com/onetwo/p/5724919.html" rel="external nofollow noreferrer">http://www.cnblogs.com/onetwo/p/5724919.html</a></p>
<p><a href="http://www.envicloud.cn/pages/news/216.html" rel="external nofollow noreferrer">http://www.envicloud.cn/pages/news/216.html</a></p>
<p><a href="http://www.oschina.net/p/weex" rel="external nofollow noreferrer">http://www.oschina.net/p/weex</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 15:19:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%b8%8d%e8%83%bd/" title="不能">不能</a>, <a href="https://www.biecuoliao.com/tag/ext/" title="ext">ext</a>, <a href="https://www.biecuoliao.com/tag/cal/" title="cal">cal</a>, <a href="https://www.biecuoliao.com/tag/facebook/" title="facebook">facebook</a>, <a href="https://www.biecuoliao.com/tag/eve/" title="eve">eve</a>, <a href="https://www.biecuoliao.com/tag/%e5%be%ae%e8%bd%af/" title="微软">微软</a>, <a href="https://www.biecuoliao.com/tag/zepto/" title="zepto">zepto</a>, <a href="https://www.biecuoliao.com/tag/steam/" title="steam">steam</a>, <a href="https://www.biecuoliao.com/tag/%e6%98%be%e7%a4%ba%e6%95%88%e6%9e%9c/" title="显示效果">显示效果</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>移动Web开发调研的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/QM6n5Mj.html" rel="bookmark">高性能WEB开发：重排与重绘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DOM编程可能最耗时的地方,重排和重绘. 1.什么是重排和重绘 浏览器下载完页面中的所有组件--HTML标记.JavaScript.CSS.图片之后会解析生成两个内部数据结构--DOM树和渲染树. DOM树表示页面结构,渲染树表示DOM节点如何显示.DOM树中的每一个需要显示的节点在渲染树种至少存在一个对应的节点(隐藏的DOM元素disply值为none 在渲染树中没有对应的节点).渲染树中的节点被称为&quot;帧&quot;或&quot;盒&quot;,符合CSS模型的定义,理解页面元素为一个具有填充			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzkjW0.html" rel="bookmark">&lbrack;Java Web&rsqb;2&bsol;Web开发中的一些架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.企业开发架构: 企业平台开发大量采用B/S开发模式,不管采用何种动态Web实现手段,其操作形式都是一样的,其核心操作的大部分都是围绕着数据库进行的.但是如果使用编程语言进行数据库开发,要涉及很多诸如事务.安全等操作问题,所以现在开发往往要通过中间件进行过渡,即,程序运行在中间件上,并通过中间件进行操作系统的操作,而具体一些相关的处理,如事务.安全等完全由中间件来负责,这样程序员只要完成具体的功能开发即可. 2.Java EE架构: Java EE 是在 Java SE 的基础上构建的,.NE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0xenQ3.html" rel="bookmark">七日Python之路--第十二天（Django Web 开发指南）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;Django Web 开发指南&gt;.貌似使用Django1.0版本,基本内容差不多,细读无妨.地址:http://www.jb51.net/books/76079.html (一)第一部分 入门 (1)内置数字工厂函数 int(12.34)会创建一个新的值为12的整数对象,而float(12)则会返回12.0. (2)其他序列操作符 连接(+),复制(*),以及检查是否是成员(in, not in) '**'.join('**')   或  '***%s***%d' % (str, int)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/74Q6gQM.html" rel="bookmark">Java Web开发基础（3）-JSTL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在DRP项目中接触到了JSTL标签库,对我这样的比較懒的人来说,第一感觉就是&quot;惊艳&quot;. JSTL标签库的使用.能够消除大量复杂.繁复的工作.工作量降低的不是一点半点.是降低了一大半.不论什么工具的引入,都会使我们的工作变的简单.可是问题是我们工作能够变的简单,可是我们不能让自己的大脑变的简单.所以,我们不是简单的会用就能够.我们还须要了解这个工具是怎样工作的.怎样为我们提供便利的.ok.以下进入正题,我们从问题開始-- JSP脚本带来的问题 不知道看到这几个子,各位有什么想法?反正我认			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/bMoldx0.html" rel="bookmark">给大家分享web开发新手修改hosts文件实现本地域名访问的正确方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.如何正确修改hosts文件: 一般打开hosts文件里面都会有个示例,按照其格式修改即可 比如以下内容: # For example: # # 102.54.94.97 rhino.acme.com # source server # 38.25.63.10 x.acme.com # x client host 即代表打开rhino.acme.com这个网址将解析到102.54.94.97,ip地址与网址间至少有一空格,当然建议通过按Table键来编辑,即美观又不容易编写失误;这也就是通过解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0xzLr4.html" rel="bookmark">java web开发阅读笔记：第一章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习该书前所用推荐书籍&lt;名师讲坛-java开发实战经典&gt; 一web开发前奏 1.1网页发展 首先搞懂. 1.HTTP:超级文本传输协议,是一种通讯协议. 通过这个网络协议WW浏览器与WWW服务器之间的通讯进行规定,并且通过这个协议我们可以浏览网页,通过网页从客户端写入信息,从服务端得到信息.而通常的HTTP消息包括&quot;客户端-&gt;服务端&quot;与&quot;服务端-&gt;客户端&quot;的消息传送,图解HTTP协议的功能: 是在客户端通过浏览器根据HTTP协议中向服务器端发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0x1V73.html" rel="bookmark">Java Web开发中MVC设计模式简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.有关Java Web与MVC设计模式 学习过基本Java Web开发的人都已经了解了如何编写基本的Servlet,如何编写jsp及如何更新浏览器中显示的内容.但是我们之前自己编写的应用一般存在无条理性,对于一个小型的网站这样的编写没有任何问题,但是一但我们需要编写大型的web工程的话,我们现有的编写模式会造成web应用的可扩展性较差,而且一但出现问题不能准确的定位出问题出在哪里. Java是一门应用设计模式比较广泛的语言.目前主流提出的23种设计模式均可在Java语言编写的程序中所应用.目前			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OmYoPM.html" rel="bookmark">web开发中比较常用的html标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一名web开发人员,总结了一下经常用到的html标签,如下:&lt;html&gt; &lt;head&gt; &lt;!--meta头标签 表示页面三秒后跳转到新浪页面--&gt; &lt;meta charset=&quot;utf-8&quot; http-equiv=&quot;refresh&quot; content=&quot;3;url=http://www.sina.com&quot;/&gt; &lt;title&gt;&lt;/title&gt; &lt;/head&gt; &l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEovKP3.html" rel="bookmark">Java Web开发模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 Java Web开发模式的变迁 1 最初的Java web服务器端编程技术是Servlet,利用Servlet就可以开发出一个Web应用程序. 2 为了解决Servlet缺陷,SUN推出了JSP技术.但是开发人员又走向了另一个极端就是完全放弃了Servlet. 在JSP页面混合使用HTML标记和java代码编写的脚本元素标记来开发Web程序.采用这种方法虽然可以编写JSP页面变得简单,直观,然而,他只适合于业务流程简单,系统规模较小的应用系统. 如果系统较大的话,就会出现两个严重的缺点: 1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P47z7b3.html" rel="bookmark" class="title">Schlumberger Techlog 2013&period;3 Win64 油田测井解释&plus;Schlumberger ECLIPSE 2015&period;1 油藏模拟中文最新版</a>
					<div>
						Schlumberger Techlog 2013.3 Win64 油田测井解释+Schlumberger ECLIPSE 2015.1 油藏模拟中文最新版二维配管软件qpiping3.2+风险分析D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4p9GoM.html" rel="bookmark" class="title">使用递归方法算阶乘、累加、十进制转二进制</a>
					<div>
						階乘(factorial) public class C8 { public static void main(String[] args) { System.out.println(factoria ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7DyR4.html" rel="bookmark" class="title">python之模块pprint之常见用法</a>
					<div>
						# -*- coding: cp936 -*- #python 27 #xiaodeng #python之模块pprint之常见用法 import pprint data = [(1,{'a':'A' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M682xG3.html" rel="bookmark" class="title">【Asp&period;net MVC】AJAXHelper 和jQueryAjax</a>
					<div>
						在ASP.NET MVC中,有一个官方提供的AJAXHelper帮助我们做AJAX相关的东西.我用传统的jQuery AJAX技术和AJAXHelper分别实现同一个demo,特此记录一下. 由于是在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YG1Ga4.html" rel="bookmark" class="title">计算基因组外显子长度</a>
					<div>
						下载基因组外显子信心 网站 ftp://ftp.ncbi.nlm.nih.gov/pub/CCDS/current_human/ wget ftp://ftp.ncbi.nlm.nih.gov/pub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NjgvM.html" rel="bookmark" class="title">初学 Swift &lpar;实现加减乘除功能和函数的基本类型&rpar;</a>
					<div>
						//计算器: 回调 typealias count = ( Int , Int ) -&gt; Int func add(a :Int ,b :Int) -&gt;Int { return a+b } ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0en2bE3.html" rel="bookmark" class="title">Force&period;com微信开发系列（七）OAuth2&period;0网页授权</a>
					<div>
						OAuth是一个开放协议,允许用户让第三方应用以安全且标准的方式获取该用户在某一网站上存储的私密资源(如用户个人信息.照片.视频.联系人列表),而无须将用户名和密码提供给第三方应用.本文将详细介绍OA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjOej0.html" rel="bookmark" class="title">如何做好日常运维的安全工作</a>
					<div>
						一.主动与被动发现漏洞 这里的主动是指安全工程师主动去做的事情,而被动并不是被动挨打,而是积极去获取信息,积极防御. 因为攻防之间信息不对称,很多攻击.利用方式及漏洞安全工程师不一定能第一时间获取到信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDNNZM.html" rel="bookmark" class="title">Vijos1053 Easy sssp&lbrack;spfa 负环&rsqb;</a>
					<div>
						描述 输入数据给出一个有N(2 &lt;= N &lt;= 1,000)个节点,M(M &lt;= 100,000)条边的带权有向图. 要求你写一个程序, 判断这个有向图中是否存在负权回路. 如果从一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPjdV0.html" rel="bookmark" class="title">嵌入式学习&lpar;转&rpar;</a>
					<div>
						嵌入式系统无疑是当前最热门最有发展前途的IT应用领域之一.嵌入式系统用在一些特定专用设备上,通常这些设备的硬件资源(如处理器.存储器等)非常有限,并且对成本很敏感,有时对实时响应要求很高等.特别是随着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylvKj4.html" rel="bookmark" class="title">httpd-2&period;2 常用配置选项及VirtualHost</a>
					<div>
						目录: 一.httpd服务基本介绍 二.httpd-2.2常用小选项配置 三.httpd-2.2 VirtualHost配置 四.httpd-2.2的基于https的安全访问 ------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AJyj3.html" rel="bookmark" class="title">php memcache扩展 出现错误dyld&colon; Symbol not found&colon; &lowbar;mmc&lowbar;queue&lowbar;free</a>
					<div>
						mac 10.10 系统安装php memcache扩展 在使用memcache的时候出现错误dyld: Symbol not found: _mmc_queue_free需要重新编译memcache ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7NA20.html" rel="bookmark" class="title">有哪些小细节可以让你的Excel显得专业</a>
					<div>
						注意这些小细节让你发出的Excel显得专业. 1. 只保留使用的Sheet页 新建一个工作薄,默认有3个Sheet页,如果你只使用了1个,那就把其它两个删除吧. 2. 字体保持一致 除非你需要,整个工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRjdJ3.html" rel="bookmark" class="title">linux驱动编写之中断处理</a>
					<div>
						一.中断 1.概念 学过单片机的应该非常清楚中断的概念,也就是CPU在正常执行程序过程中,出现了突发事件(中断事件),于是CPU暂停当前程序的执行,转去处理突发事件.处理完毕后,CPU又返回被中断的程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJ8o63.html" rel="bookmark" class="title">团队博客作业-功能规格说明书</a>
					<div>
						XuebaOnLine项目功能规格说明书 引言 编写目的 此功能规格说明书的主要目的是: 使用户确认Xueba系统的主要功能,并了解如何使用. 便于工程团队与用户在需求上达成一致,作为进一步详细设计软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVvjbdM.html" rel="bookmark" class="title">Server 2008 r2 多用户远程桌面配置</a>
					<div>
						参考资料链接: http://blog.163.com/fan_yishan/blog/static/476922132013018594951/ 按照以上链接的博文一步步进行配置,因为我是英文操作系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgYwLR3.html" rel="bookmark" class="title">EF中的MySql返回 DataTable公共类库</a>
					<div>
						public static class SqlHelper { /// &lt;summary&gt; /// EF SQL 语句返回 dataTable /// &lt;/summary&gt; / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41e2kO4.html" rel="bookmark" class="title">StringBuilder清空方式</a>
					<div>
						网上一搜有很多重复的,都是用remove.Length之类的方法,但是我发现这些方法都没有. 来源:http://blog.csdn.net/roserose0002/article/details/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6YwdM.html" rel="bookmark" class="title">extjs各种弹出框</a>
					<div>
						1.ExtJs之消息框:  语法:Ext.MessageBox.alert(String title, String msg,Function fn, Obejct scope);   参数定义:   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLxEAeM.html" rel="bookmark" class="title">HDU 6114 Chess 【组合数】（2017&amp;quot&semi;百度之星&amp;quot&semi;程序设计大赛 - 初赛（B））</a>
					<div>
						Chess Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submi ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
